@sassbot sassbot released this Feb 4, 2019 · 11 commits to master since this release

To install Dart Sass 1.17.0, download one of the packages above and add it to your PATH, or see the Sass website for full installation instructions.

Changes

  • Improve error output, particularly for errors that cover multiple lines.

  • Improve source locations for some parse errors. Rather than pointing to the next token that wasn't what was expected, they point after the previous token. This should generally provide more context for the syntax error.

  • Produce a better error message for style rules that are missing the closing }.

  • Produce a better error message for style rules and property declarations within @function rules.

Command-Line Interface

  • Passing a directory on the command line now compiles all Sass source files in the directory to CSS files in the same directory, as though dir:dir were passed instead of just dir.

  • The new error output uses non-ASCII Unicode characters by default. Add a --no-unicode flag to disable this.

See the full changelog for changes in earlier releases.

Assets 8